Subscribe
Accepted Solution

WFA - Cannot update or delete quota management pack

I'm using WFA 4.0.

 

When I attempt to update the quota management pack I get an error saying that a category is already present and it does not update. 

 

"Could not import Category 'Setup', a certified Category already exists with the same internal ID. Certified Categorys cannot be overwritten."

 

 

 

When I attempt to delete the old quota management pac 1.2.0 it gives me the error below. I disabled the schema and made sure there were no other dependencies and still got that error.

 

2016-09-23 12:20:34,884 ERROR [org.jboss.as.ejb3.invocation] (default task-19) JBAS014134: EJB Invocation failed on component PackFacadeImpl for method public abstract void com.netapp.wfa.ui.ServerBaseEntityFacade.removeEntities(int[]): javax.ejb.EJBException: WfaException{Message: org.hibernate.exception.ConstraintViolationException: Cannot delete or update a parent row: a foreign key constraint fails (`wfa`.`command_parameter_mapping`, CONSTRAINT `fk_command_parameter_mapping_dictionary_entry_id` FOREIGN KEY (`dictionary_entry_id`) REFERENCES `dictionary_entry` (`id`)), Cause: javax.ejb.EJBTransactionRolledbackException: org.hibernate.exception.ConstraintViolationException: Cannot delete or update a parent row: a foreign key constraint fails (`wfa`.`command_parameter_mapping`, CONSTRAINT `fk_command_parameter_mapping_dictionary_entry_id` FOREIGN KEY (`dictionary_entry_id`) REFERENCES `dictionary_entry` (`id`))}

Re: WFA - Cannot update or delete quota management pack

Hi Ninja,

 

Issue is seen because you may have imported the old  1.2.0 quota management pack ,

which locks the setup category.   updating 1.3. pack on top of it you will find this issue

We are working on the script to unlock it. Will keep you update on the same

 

Regards,

Pavan

Re: WFA - Cannot update or delete quota management pack

Hi Ninja,

 

Could you please let us know which version of WFA you are using. Issue mentioned is not seen in WFA 4.0 GA build.

 

Update it to the 4.0 GA and try to update to latest quota management pack.

 

Regards,

Pavan

Re: WFA - Cannot update or delete quota management pack

I upgraded to 4.0 a while ago. I installed the pack under a different version. Do you have a way to unlock that Setup category? I can't delete or update.

 

Capture.PNG

Re: WFA - Cannot update or delete quota management pack

Hi Ninja,

 

This isssue is fixed in Platform 4.0 GA build(WFA-x64-V4.0.0.0.0-B3858982.exe). Please update to 4.0 GA will resolve this issue. 

 

Regars,

Sankar 

 

Re: WFA - Cannot update or delete quota management pack

[ Edited ]

Sankar,

 

The upgrade instructions say to uninstall then install new one and restore from backup. I proceeded with the upgrade but just by running the new installer and it seems to have done the upgrade without the uninstall or restore from backup method. Is this recommended?

 

This has resolved my issue.

Re: WFA - Cannot update or delete quota management pack

Ninja,

 

Inplace upgrade will allow you to upgrade without uninstall and install, and its reccomnded 

 

Regards,

Sankar